textures/danger_christmas/sky
{
    q3map_lightimage textures/holodeck_temple/lightcyan.tga
    qer_editorimage textures/danger_christmas/env/snowsky_rt.tga
    q3map_surfacelight 500
    surfaceparm noimpact
    surfaceparm nomarks
    surfaceparm nolightmap
    surfaceparm sky
q3map_lightsubdivide 256
	q3map_globaltexture
	q3map_sun 1 1 1 1000 160 72
    skyParms textures/danger_christmas/env/snowsky 0 -

    {
        map textures/holodeck_temple/clouds.tga
        blendFunc GL_ONE GL_ONE
        tcMod scale 4 4
        tcMod scroll 0.015 0.01
    }
    {
        map textures/holodeck_temple/clouds2.tga
        blendFunc GL_DST_COLOR GL_SRC_COLOR
        tcMod scale 3 3
        tcMod scroll 0.005 0.025
    }
}

// snowman Buttons
models/courseoblivion/snowman/mond
{
	surfaceparm alphashadow
	cull disable
	{
		map models/courseoblivion/snowman/mond.tga
		rgbGen identityLighting
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

// Trees
models/courseoblivion/trees/tree01_01
{
	surfaceparm alphashadow
	cull disable
	{
		map models/courseoblivion/trees/tree01_01.tga
		rgbGen identityLighting
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

textures/danger_christmas/Hotel
{
	qer_editorimage textures/danger_christmas/hotel.tga
	surfaceparm alphashadow
	surfaceparm trans
	cull disable
	nopicmip
	{
		map textures/danger_christmas/hotel.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

textures/danger_christmas/telefon1
{
	qer_editorimage textures/danger_christmas/telefon1.tga
	surfaceparm nolightmap
	{
		map textures/danger_christmas/telefon1.tga
	}
}

textures/danger_christmas/snow_drop1_1
{
	qer_editorimage textures/danger_christmas/snow_drop.tga
	surfaceparm nodlight
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	deformVertexes autosprite
	deformVertexes move 0 0 -400 sawtooth 0 1 -0.074285 0.2 
	{
		clampmap textures/danger_christmas/snow_drop.tga
		blendfunc add
		rgbGen wave sawtooth 1 0 -0.074285 0.2 
		tcMod rotate 0
		tcMod stretch sawtooth 1 0 -0.074285 0.2 
		alphaGen wave sawtooth 1 0 -0.074285 0.2 
	}
}

textures/danger_christmas/snow_drop2_1
{
	qer_editorimage textures/danger_christmas/snow_drop.tga
	surfaceparm nodlight
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	deformVertexes autosprite
	deformVertexes move 0 0 -1000 sawtooth 0 1 -0.173836 0.2 
	{
		clampmap textures/danger_christmas/snow_drop.tga
		blendfunc add
		rgbGen wave sawtooth 1 0 -0.173836 0.2 
		tcMod rotate 0
		tcMod stretch sawtooth 1 0 -0.173836 0.2 
		alphaGen wave sawtooth 1 0 -0.173836 0.2 
	}
}

textures/danger_christmas/snow_drop3_1
{
	qer_editorimage textures/danger_christmas/snow_drop.tga
	surfaceparm nodlight
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	deformVertexes autosprite
	deformVertexes move 0 0 -500 sawtooth 0 1 0.082458 0.2 
	{
		clampmap textures/danger_christmas/snow_drop.tga
		blendfunc add
		rgbGen wave sawtooth 1 0 0.082458 0.2 
		tcMod rotate 0
		tcMod stretch sawtooth 1 0 0.082458 0.2 
		alphaGen wave sawtooth 1 0 0.082458 0.2 
	}
}

textures/danger_christmas/snow_drop4_1
{
	qer_editorimage textures/danger_christmas/snow_drop.tga
	surfaceparm nodlight
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	deformVertexes autosprite
	deformVertexes move 0 0 -800 sawtooth 0 1 -0.180734 0.2 
	{
		clampmap textures/danger_christmas/snow_drop.tga
		blendfunc add
		rgbGen wave sawtooth 1 0 -0.180734 0.2 
		tcMod rotate 0
		tcMod stretch sawtooth 1 0 -0.180734 0.2 
		alphaGen wave sawtooth 1 0 -0.180734 0.2 
	}
}

textures/danger_christmas/snow_drop5_1
{
	qer_editorimage textures/danger_christmas/snow_drop.tga
	surfaceparm nodlight
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	deformVertexes autosprite
	deformVertexes move 0 0 -900 sawtooth 0 1 0.404733 0.2 
	{
		clampmap textures/danger_christmas/snow_drop.tga
		blendfunc add
		rgbGen wave sawtooth 1 0 0.404733 0.2 
		tcMod rotate 0
		tcMod stretch sawtooth 1 0 0.404733 0.2 
		alphaGen wave sawtooth 1 0 0.404733 0.2 
	}
}

